CHECKPKG(1)

NAME
checkpkg - Compare the current build package with the repository version

SYNOPSIS

checkpkg

DESCRIPTION

Searches for a locally built package corresponding to the PKGBUILD, and downloads the last version of that package from the Pacman repositories. It then compares the list of .so files provided by each version of the package and outputs if there are soname differences for the new package. A directory is also created using mktemp with files containing a file list for both packages and a library list for both packages.

OPTIONS

-r, --rmdir
    Remove the temporary directory created to contain the file and library list of both packages.

-w, --warn
    Print a warning instead of a regular message in case of soname differences.

-M, --makepkg-config
    Set an alternate makepkg configuration file.

-h, --help
    Show a help text

SEE ALSO

find-libprovides(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.